Subject: Re: bug#10907: 24.0.94; Updating display of Customize buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Feb 2012 21:42:58 -0500

>> but being able to have a dynamic set of `choice's would be helpful.
> When might you want to use such a thing, as opposed to having :type a
> static list that encompasses all possible valid settings?

In the email to which you respond, I mention completion-styles, since
these can refer to styles that are provided by external packages.

> I can only see it being harmful.  Eg if you want to compute the :type
> based on whether some external utility is installed on the system, you
> could end up with saved settings in ~/.emacs that suddenly become
> invalid (wrong type) if said utility gets removed from the system.

Just because there are scenarios where you can bump into bugs doesn't
mean it can't be very useful.  E.g. types such as `function' also accept
a set of values that depends on what's installed, yet it hasn't proved
to be a problem.

        Stefan